<div class="p-formgrid grid">
  <div class="col-12">
    <p-card *ngIf="poi">
      <table>
        <thead>
          <tr>
            <th class="table-header" colspan="2">Poi: {{ poi.name }}</th>
          </tr>
        </thead>
        <tr>
          <td>Name:</td>
          <td>{{ poi.name }}</td>
        </tr>
        <tr>
          <td>Geändert am:</td>
          <td *ngIf="poi.dateModified">
            {{ poi.dateModified | date : 'medium' }}
          </td>
          <td *ngIf="!poi.dateModified">-</td>
        </tr>
        <tr>
          <td>Adresse:</td>
          <td>
            <p *ngIf="poi.location.street" class="m-0">
              {{ poi.location.street }}
            </p>
            <p
              *ngIf="poi.location.postalCode || poi.location.postalCode"
              class="m-0"
            >
              {{ poi.location.postalCode }} {{ poi.location.city }}
            </p>
            @if (poi.location.coordinates) {
            <a
              [href]="generateGoogleMapsUrl(poi.name, poi.location)"
              [title]="poi.name + ' auf Google Maps anzeigen'"
              target="_blank"
              >Link zu Google Maps</a
            >
            }
          </td>
        </tr>
        <tr>
          <td>Kontakt:</td>
          <td>
            <p *ngIf="poi.contactPoint.email" class="m-0">
              E-Mail Adresse: {{ poi.contactPoint.email }}
            </p>
            <p *ngIf="poi.contactPoint.telephone" class="m-0">
              Telefonnummer: {{ poi.contactPoint.telephone }}
            </p>
            <p *ngIf="poi.contactPoint.contactPerson" class="m-0">
              Kontaktperson: {{ poi.contactPoint.contactPerson }}
            </p>
          </td>
        </tr>
        <tr *ngIf="poi.url">
          <td>URL:</td>
          <td>
            <a
              [href]="poi.url"
              [title]="'Link von ' + poi.url"
              class="m-0"
              target="_blank"
              >{{ poi.url }}</a
            >
          </td>
        </tr>
        <tr>
          <td>Kategorien:</td>
          <td>
            <ul>
              <li *ngFor="let category of poi.categories">
                {{ category }}
              </li>
            </ul>
          </td>
        </tr>

        <tr
          *ngIf="poi.location.coordinates.lat && poi.location.coordinates.long"
        >
          <td>Position:</td>
          <td>
            <mgl-map
              [style]="mapStyleUrl"
              [center]="markerCoordinates"
              [zoom]="[mapZoom]"
              [attributionControl]="false"
              [interactive]="true"
            >
              <mgl-marker [lngLat]="markerCoordinates"></mgl-marker>
            </mgl-map>
          </td>
        </tr>
      </table>
    </p-card>
  </div>
</div>
